### Method

# FwupdPlugin Efivars get_boot_entries

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fu_efivars_get_boot_entries (
      FuEfivars* self
      GError** error
    )

#### Description [src]

Gets the loadopt data for all the entries listed in `BootOrder`.

Available since: 2.0.0

#### Return value

Type: An array of `FuEfiLoadOption*`

Boot data.

The caller of the method takes ownership of the data, and is responsible for freeing it.